<!DOCTYPE HTML>
<html>
<head>

    <!-- Mobile Responsive Meta Tag -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap Link -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

    <title>Bootstrap Components</title>

</head>
<body>

    <!-- Navbar Section Start -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <a class="navbar-brand" href="#">Ada Lovelace</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="#">About Me<span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Projects</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Tools</a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- Navbar Section End -->

    <!-- Main Content Section Start -->
    <div class="container-fluid text-center">

        <div class="row">

            <!-- Side Navbar Section Start -->
            <div class="card col-xl-2 d-none d-xl-block p-0">
                <div class="accordion" id="accordionExample">

                    <!-- Services Section Start-->
                    <div class="card">
                        <div class="card-header" id="headingOne">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                    Services
                                </button>
                            </h2>
                        </div>

                        <div id="collapseOne" class="collapse" aria-labelledby="headingOne" data-parent="#accordionExample">
                            <div class="card-body">
                                <ul class="text-justify" style="list-style: none;">
                                    <li><a href="">Frontend Design</a></li>
                                    <li><a href="">Backend Server</a></li>
                                    <li><a href="">Full-Stack Development</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <!-- Services Section End-->

                    <!-- Projects Section Start-->
                    <div class="card">
                        <div class="card-header" id="headingTwo">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                    Projects
                                </button>
                            </h2>
                        </div>
                        <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                            <div class="card-body">
                                <ul class="text-justify" style="list-style: none;">
                                    <li><a href="">HTML</a></li>
                                    <li><a href="">Bootstrap</a></li>
                                    <li><a href="">Node JS Server</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <!-- Projects Section End -->

                    <!-- Tools Section Start -->
                    <div class="card">
                        <div class="card-header" id="headingThree">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                    Tools
                                </button>
                            </h2>
                        </div>
                        <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
                            <div class="card-body">
                                <ul class="text-justify" style="list-style: none;">
                                    <li><a href="">Core Tools</a></li>
                                    <li><a href="">Other Tools</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <!-- Tools Section End -->

                </div>
            </div>
            <!-- Side Navbar Section End -->

            <!-- Side Content Section Start -->
            <div class="col-xl-10 p-0">

                <!-- Profile Section Start -->
                <div class="container-fluid bg-dark text-light min-vh-100 p-3 p-md-5">

                    <img class="mt-5 mt-md-0 rounded-circle" src="./images/ada.jpg" width="250">

                    <h1>Ada Lovelace</h1>
                    <h3>Full-Stack Developer</h3>

                    <div class="row mt-5">
                        <div class="offset-md-2 col-md-8">
                            <p>
                                Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                            </p>
                        </div>
                    </div>

                    <!-- Carousel Section -->
                    <div class="row d-none d-md-block mt-md-5">
                        <div class="offset-xl-3 col-xl-6">
                            <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
                              <ol class="carousel-indicators">
                                <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                                <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                                <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
                              </ol>
                              <div class="carousel-inner">
                                <div class="carousel-item active">
                                  <img src="http://placekitten.com/500/300" class="d-block w-100" alt="...">
                                  <div class="carousel-caption d-none d-md-block">
                                    <h5>First slide label</h5>
                                    <p>Some representative placeholder content for the first slide.</p>
                                  </div>
                                </div>
                                <div class="carousel-item">
                                  <img src="https://placebear.com/500/300" class="d-block w-100" alt="...">
                                  <div class="carousel-caption d-none d-md-block">
                                    <h5>Second slide label</h5>
                                    <p>Some representative placeholder content for the second slide.</p>
                                  </div>
                                </div>
                                <div class="carousel-item">
                                  <img src="http://placekitten.com/500/300" class="d-block w-100" alt="...">
                                  <div class="carousel-caption d-none d-md-block">
                                    <h5>Third slide label</h5>
                                    <p>Some representative placeholder content for the third slide.</p>
                                  </div>
                                </div>
                              </div>
                              <a class="carousel-control-prev" type="button" data-target="#carouselExampleCaptions" data-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="sr-only">Previous</span>
                              </a>
                              <a class="carousel-control-next" type="button" data-target="#carouselExampleCaptions" data-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="sr-only">Next</span>
                              </a>
                            </div>
                            
                        </div>  
                    </div>
                    <!-- Carousel Section End -->

                </div>
                <!-- Profile Section End -->

                <!-- Other Projects Section -->
                <div class="bg-secondary text-light min-vh-100 p-5">

                    <h2 class="mb-3">Other Projects</h2>

                    <!-- Other Projects Container --> 
                    <div class="d-lg-flex justify-content-center p-md-5">
                        
                        <!-- HTML Card -->
                        <div class="card bg-dark col-xl-4 mb-5 mb-xl-0" style="width: 18rem;">
                            <div class="card-body"> 
                                <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcREg1dHFSG_ee9Hr0LoRQ8--Mu99r3J3kEp7g&usqp=CAU" class="card-img-top" class="card-img-top" alt="...">
                                  <h5 class="card-title mt-3">HTML</h5>
                                  <h6 class="card-subtitle text-muted mb-2">Programming Basics</h6>
                                  <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                                  tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                                  quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                                  consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                                  cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                                  proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                                  <a href="#" class="card-link">Link To Project</a>
                            </div>
                        </div>
                        <!-- HTML Card End -->

                        <!-- Bootstrap Card -->
                        <div class="card bg-dark col-xl-4 mb-5 mb-xl-0 mr-xl-5 ml-xl-5" style="width: 18rem;">
                            <div class="card-body"> 
                                <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSaGsIJuHKrllHnH7P1BFmKmh2EFNxKLtR9-9FyFfRlpsWkPDbfNd4hbw1brf3AFfwUP_s&usqp=CAU" class="card-img-top" alt="...">
                                  <h5 class="card-title mt-3">Bootstrap</h5>
                                  <h6 class="card-subtitle text-muted mb-2">Rapid Prototyping</h6>
                                  <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                                  tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                                  quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                                  consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                                  cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                                  proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                                  <a href="#" class="card-link">Link To Project</a>
                            </div>
                        </div>
                        <!-- Bootstrap Card End -->

                        <!-- Node JS Server Card -->
                        <div class="card bg-dark col-xl-4 mb-5 mb-xl-0" style="width: 18rem;">
                            <div class="card-body"> 
                                <img src="https://informatics.uii.ac.id/wp-content/uploads/2022/09/nodejs.png" class="card-img-top" alt="...">
                                  <h5 class="card-title mt-3">Node JS Server</h5>
                                  <h6 class="card-subtitle text-muted mb-2">Backend Basics</h6>
                                  <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                                  tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                                  quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                                  consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                                  cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                                  proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                                  <a href="#" class="card-link">Link To Project</a>
                            </div>
                        </div>
                        <!-- Node JS Server Card End -->

                    </div>
                    <!-- Other Projects Container End -->

                    <!-- Activity Starts Here -->
                    
                    <!-- Activity Ends Here -->

                    
                    
                </div>
                <!-- Other Projects Section End -->

                <!-- Contact Section -->
                <div class="container-fluid bg-dark p-5">
                   <h2 class="pt-3 text-light">Contact Me</h2>

                   <div class="w-25 bg-primary container border-primary rounded">   
                    <form>
                      <div class="form-group text-light">
                        <label class="mb-1 mt-3" for="name">Name</label>
                        <input type="text" class="form-control" id="name" placeholder="Your Name">

                        <label class="mb-1 mt-3" for="email">Email Address</label>
                        <input type="email" class="form-control" id="email" placeholder="name@example.com">

                        <label class="mb-1 mt-3" for="number">Contact Number</label>
                        <input type="number" class="form-control" id="number" placeholder="+63 900 000 0000">

                        <div class="form-group">
                          <label class="mb-1 mt-3" for="concern">Concern</label>
                          <select class="form-control" id="concern">
                            <option>Quotation</option>
                          </select>
                        </div>
                        <div class="form-group">
                          <label class="mb-1 mt-3" for="exampleFormControlTextarea1">Message</label>
                          <textarea class="form-control" id="exampleFormControlTextarea1" rows="3"></textarea>
                        </div>
                        <button type="button" class="btn btn-dark text-light mb-3" data-toggle="modal" data-target="#modalForm">Send Email</button>

                        <div class="modal fade text-dark" id="modalForm" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="modalLabel">Thank You for Messaging Us!</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        Message Successfully Sent
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                        <button type="button" class="btn btn-primary">Save changes</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                      </div>
                    </form>
                    <!-- Contact Section End -->
                  </div>
                </div> 
        </div>
    </div>
    <!-- Main Content Section End -->

    <!-- Bootstrap Script -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>